/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for TumorStagesFromAJCC
 */
public enum EnumCV_TumorStagesFromAJCC 
{
	//CID 6068 Tumor Stages from AJCC
	STAGE_0_111494("111494"),
	STAGE_I_111495("111495"),
	STAGE_IIA_111496("111496"),
	STAGE_IIB_111497("111497"),
	STAGE_IIIA_111498("111498"),
	STAGE_IIIB_111499("111499"),
	STAGE_IIIC_111500("111500"),
	STAGE_IV_111501("111501");

	private String value;
	
	EnumCV_TumorStagesFromAJCC(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
